<?php
/*!
 * Functionality for plugin help.
 *
 * @since 1.0.0
 *
 * @package    Directly Import
 * @subpackage Help
 */

if (!defined('ABSPATH'))
{
	exit;
}

/**
 * Class used to implement plugin help functionality.
 *
 * @since 1.0.0
 */
final class Directly_Import_Help
{
	/**
	 * Output the help tabs.
	 *
	 * @since 1.0.0
	 *
	 * @access public static
	 * @param  string  $kb_path     Path to the knowledge base article associated with this help tab.
	 * @param  boolean $plugin_page True if the help tab is being added to a plugin-specific page.
	 * @return void
	 */
	public static function output($kb_path, $plugin_page = true)
	{
		/*if (!empty($kb_path))
		{
			$diim = Directly_Import();
			$id = 'diim-' . $diim->cache->current_page;
			
			if ($plugin_page === true)
			{
				$diim->cache->screen->set_help_sidebar('<p><strong>' . __('Plugin developed by', 'directly-import') . '</strong><br />'
				. '<a href="https://robertnoakes.com/" target="_blank" rel="noopener noreferrer">Robert Noakes</a></p>'
				. '<hr />'
				. '<p><a href="' . Directly_Import_Constants::URL_SUPPORT . '" target="_blank" rel="noopener noreferrer" class="button">' . __('Plugin Support', 'directly-import') . '</a></p>'
				. '<p><a href="' . Directly_Import_Constants::URL_REVIEW . '" target="_blank" rel="noopener noreferrer" class="button">' . __('Review Plugin', 'directly-import') . '</a></p>'
				. '<p><a href="' . Directly_Import_Constants::URL_TRANSLATE . '" target="_blank" rel="noopener noreferrer" class="button">' . __('Translate Plugin', 'directly-import') . '</a></p>'
				. '<p><a href="' . Directly_Import_Constants::URL_DONATE . '" target="_blank" rel="noopener noreferrer" class="button">' . __('Plugin Donation', 'directly-import') . '</a></p>');
			}
			else if ($plugin_page !== false)
			{
				$id .= $plugin_page;
			}
			
			$url = Directly_Import_Constants::URL_KB . $kb_path . '/';
			
			$diim->cache->screen->add_help_tab(array
			(
				'id' => $id,
				'priority' => 20,
				'title' => $diim->cache->plugin_data['Name'],
				
				'content' => '<h3>' . __('For more information about this page, view the knowledge base article at:', 'directly-import') . '<br />'
				. '<a href="' . esc_url($url) . '" target="_blank" rel="noopener noreferrer">' . $url . '</a></h3>'
			));
		}*/
	}
}
