<?php
/*!
 * Functionality for plugin uninstallation.
 * 
 * @since 1.0.0
 * 
 * @package Directly Import
 */

if
(
	!defined('WP_UNINSTALL_PLUGIN')
	&&
	!defined('NP_FAUX_UNINSTALL_PLUGIN')
)
{
	exit;
}

if
(
	isset($general_settings[Directly_Import_Constants::SETTING_DELETE_SETTINGS])
	&&
	$general_settings[Directly_Import_Constants::SETTING_DELETE_SETTINGS]
)
{
	delete_option(Directly_Import_Constants::OPTION_SETTINGS);
	delete_option(Directly_Import_Constants::OPTION_SITES);
	delete_option(Directly_Import_Constants::OPTION_VERSION);
}
